#!/bin/sh
exe_name=$0
exe_dir=`dirname "$0"`
if [ $# -lt "3" ]; then
  echo "---------------------------------------------------------------------"
  echo "Usage:"
  echo "./run_remove_background_noise.sh INPUT QUANTILE OUTPUT"
  echo "All volumes must be either NIFTI or XML"
  echo "INPUT       : An MRI 3D volume, with skull and with background noise"
  echo "QUANTILE    : Percent of histogram to consider for initial quantile.
              A reasonable value is 30-40. (default 35)"
  echo "OUTPUT      : Final noise removed volume"
  echo "---------------------------------------------------------------------"
  exit 1
else
  INPUT=$1 
  Q=$2
  OUTPUT=$3
  echo Setting up environment variables
  MCRROOT=/home/USERS/roys5/Programs/Matlab_Runtime_R2013a/v81
  LD_LIBRARY_PATH=.:${MCRROOT}/runtime/glnxa64 ;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnxa64 ;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnxa64;
	MCRJRE=${MCRROOT}/sys/java/jre/glnxa64/jre/lib/amd64 ;
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/native_threads ; 
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/server ;
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/client ;
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE} ;  
  XAPPLRESDIR=${MCRROOT}/X11/app-defaults ;
  export LD_LIBRARY_PATH;
  export XAPPLRESDIR;
#  echo LD_LIBRARY_PATH is ${LD_LIBRARY_PATH};
  shift 1
  args=
  while [ $# -gt 0 ]; do
      token=$1
      args="${args} \"${token}\"" 
      shift
  done
  echo "Input volume: $INPUT"
  echo "Output volume: $OUTPUT"
  echo "${exe_dir}"/remove_background_noise $INPUT $Q $OUTPUT 
  "${exe_dir}"/remove_background_noise $INPUT $Q $OUTPUT 
fi


